Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a HappyHorse video task. Parameters are narrowed according to the current Tikway gateway capabilities; for differences between models, see operation description and x-model-capabilities.

model
enum<string>
required

HappyHorse model ID.

Available options:
happyhorse-1.1,
happyhorse-1.0
prompt
string

Video generation or editing prompt words.

Minimum string length: 1
duration
integer

Output duration is 3–15 seconds. Video editors ignore this field and inherit the input video duration.

Required range: 3 <= x <= 15
aspect_ratio
enum<string>

Video aspect ratio. When producing videos, some models will automatically determine the proportions based on the input material.

Available options:
16:9,
9:16,
1:1,
4:3,
3:4,
4:5,
5:4,
21:9,
9:21
resolution
enum<string>

Output resolution. Available values ​​for different models or modes are shown in the model capabilities table.

Available options:
480p,
720p,
1080p
frame_images
object[]

Only one first frame image is supported, and the last frame or first and last frame interpolation is not supported.

Maximum array length: 1
input_references
object[]

Reference student videos only accept 1–9 reference_images. happyhorse-1.0 video editor accepts 1 source_video and up to 5 reference_images.

Maximum array length: 9
seed
integer

Random seed. Fixed seeds can only improve reproducibility, but do not guarantee that the output will be completely consistent.

Required range: -1 <= x <= 2147483647
callback_url
string<uri>

User task callback address. Called by Tikway after the task status changes, it is not directly passed to the model upstream.

Pattern: ^https://
extra_body
object

HappyHorse upstream extension parameters.

Response

202 - application/json

POST /v1/videos Response parameters after the video task is successfully created. The interface returns HTTP 202.

id
string
required

The unique identifier of the video generation task, used for subsequent query of task status.

Minimum string length: 1
Example:

"9552de3d-171f-4cca-b492-7baa56523239"

status
enum<string>
required

Task creation status. pending means that the task has been created and is waiting for submission; queue means that the task has entered the generation queue.

Available options:
pending,
queue
Example:

"queue"

polling_url
string<uri>
required

Video task query address, the client can poll the task status through GET request.

Pattern: ^https://
Example:

"https://api.example.com/v1/videos/9552de3d-171f-4cca-b492-7baa56523239"